/*******************************************************************************
 * PointLightToggleable generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class PointLightToggleable extends PointLight
    native(Light)
    placeable
    hidecategories(Navigation)
    classgroup(Lights,PointLights);

struct CheckpointRecord
{
    var bool bEnabled;

    structdefaultproperties
    {
        bEnabled=false
    }
};

function bool ShouldSaveForCheckpoint()
{
    return RemoteRole != ROLE_None;
    //return ReturnValue;    
}

function CreateCheckpointRecord(out CheckpointRecord Record)
{
    Record.bEnabled = bEnabled;
    //return;    
}

function ApplyCheckpointRecord(const out CheckpointRecord Record)
{
    bEnabled = Record.bEnabled;
    LightComponent.SetEnabled(bEnabled);
    ForceNetRelevant();
    //return;    
}

defaultproperties
{
    begin object name=PointLightComponent0 class=PointLightComponent
        LightmassSettings=(IndirectLightingScale=0.0)
        UseDirectLightMap=false
    object end
    // Reference: PointLightComponent'Default__PointLightToggleable.PointLightComponent0'
    LightComponent=PointLightComponent0
    Components(0)=none
    Components(1)=none
    Components(2)=none
    begin object name=PointLightComponent0 class=PointLightComponent
        LightmassSettings=(IndirectLightingScale=0.0)
        UseDirectLightMap=false
    object end
    // Reference: PointLightComponent'Default__PointLightToggleable.PointLightComponent0'
    Components(3)=PointLightComponent0
    TickGroup=ETickingGroup.TG_DuringAsyncWork
    bStatic=false
    bHardAttach=true
}